Module | Sequel::Plugins::UpdatePrimaryKey::InstanceMethods
In: | lib/sequel/plugins/update_primary_key.rb

### Methods

after_update pk_hash

### Public Instance methods

after_update()

Clear the pk_hash and object dataset cache, and recache the pk_hash

[Source]

        # File lib/sequel/plugins/update_primary_key.rb, line 35
    35:         def after_update
    36:           super
    37:           @pk_hash = nil
    38:           pk_hash
    39:         end

pk_hash()

Cache the pk_hash instead of generating it every time

[Source]

        # File lib/sequel/plugins/update_primary_key.rb, line 42
    42:         def pk_hash
    43:           @pk_hash ||= super
    44:         end

[Validate]